[algogeeks] Re: Array Problem

2012-02-15 Thread TUSHAR
@amrit,@Pranav and others : Thanks a lot.. On Feb 15, 11:35 am, amrit harry dabbcomput...@gmail.com wrote: @tushar lower bound for sorting an array is nlogn.http://www.bowdoin.edu/~ltoma/teaching/cs231/fall11/Lectures/6-moreso... On Wed, Feb 15, 2012 at 11:16 AM, TUSHAR

Re: [algogeeks] Re: Array Problem

2012-02-15 Thread priyatosh tiwari
I think for count it should be count=(int)(k/N), instead of (int)k/5... On Wed, Feb 15, 2012 at 6:00 PM, TUSHAR tusharkanta.r...@gmail.com wrote: @amrit,@Pranav and others : Thanks a lot.. On Feb 15, 11:35 am, amrit harry dabbcomput...@gmail.com wrote: @tushar lower bound for

[algogeeks] Bread Butter Brain

2012-02-15 Thread subramania jeeva
The mega event Bread, Butter and Brain is going to be held tonight at 7.30pm. This is an individual online event. There will be 15 levels with one question per level The difficulty of the questions increases as you advance to the next level. Questions will involve puzzles, logic, programming,

[algogeeks] Re: Bread Butter Brain

2012-02-15 Thread soundar
Registration Started.1 Rs at stake.Event starts at 7.30 PM today. -- You received this message because you are subscribed to the Google Groups Algorithm Geeks group. To post to this group, send email to algogeeks@googlegroups.com. To unsubscribe from this group, send email to

[algogeeks] Re: Array Problem

2012-02-15 Thread Dave
@Pranav: This could fail if N sqrt(maxint) and a sufficient number of A[i] have the same value so that A[A[i]] N*N, which overflows. Dave On Feb 15, 1:08 am, Pranav meetpranav...@gmail.com wrote: Array 'A' contains N elements st A[i] =k N Now, Iterate over the array. Let k=A[i] If A[i]

[algogeeks] Re: spoj

2012-02-15 Thread pavan
@Utkarsh: yeah it is josephsus problem with a slight change.using a linked list will give u TLE i guess. On Feb 14, 10:36 pm, vickywiz vickywiz...@gmail.com wrote: in 1 2 3 4 5 6...o/p ll b 5 -- You received this message because you are subscribed to the Google Groups Algorithm Geeks

Re: [algogeeks] Re: Array Problem

2012-02-15 Thread Dheeraj Sharma
heres a O(n) solution.. correct me if am wrong.. 1. In order to get the count in O(1) we need to place the count of each number in their respective index.So before storing the count we need to swap the nos. in such a way that all k=n are at their respective index.This can be done in O(n)

Re: [algogeeks] Re: spoj

2012-02-15 Thread Dheeraj Sharma
yeah..we need to calculate some formula On Wed, Feb 15, 2012 at 10:21 PM, pavan pavankri...@gmail.com wrote: @Utkarsh: yeah it is josephsus problem with a slight change.using a linked list will give u TLE i guess. On Feb 14, 10:36 pm, vickywiz vickywiz...@gmail.com wrote: in 1 2 3 4 5

[algogeeks] Re: TRIE problem

2012-02-15 Thread pavan
i am getting WA by implementing TRIE .can anyone help me with the test cases for which the following code is failing. #includestdio.h #includestdlib.h #includestring.h #includeiostream #define MAX 26 #define LEN 1000 using namespace std; struct node { char c; int isterminal;